<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <div class="container-fluid" nz-col nzSpan="24">
    <div class="form">
      <div nz-row class="form-row">
        <div nz-col nzSm='10' nzLg='8' class="form-row__left">
          <input nz-input class="form-row__input" name="" placeholder="{{'common.label.search' | translate}}"
            [(ngModel)]="textSearch" trim (keyup.enter)="filterPermission()" />
          <mb-button class="pc-bt-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="filterPermission()"
                     mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}"></mb-button>
        </div>
        <div nz-col nzSm='10' nzLg='7' class="flex" >
          <div nz-col nzSpan="6" class="label">
            <label> Ứng dụng </label>
          </div>
          <div nz-col nzSpan="18">
            <mb-select [mbDataSelects]="listApp" mbKeyLabel="appName" mbKeyValue="appId"
            mbPlaceholder="--{{'system.permissionConfig.label.all' | translate}}--" (mbEventEmit)="changeApp($event)"
            [(ngModel)]="idApp"></mb-select>
          </div>
        </div>
        <div nz-col nzSpan="4" class="form-row__right">
          <mb-button *ngIf="objFunction.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="create()"
            mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.add' | translate}}"></mb-button>
        </div>
      </div>
    </div>
  </div>
</div>
<div class='app-list'>
  <div class="data-table" oncontextmenu="return false;">
    <nz-table #basicTable [nzData]="listOfMap" [nzShowPagination]="false" nzSize='small'
      [nzScroll]="{ y: '550px' }" [nzPageSize]="listOfMap.length">
      <thead>
        <tr class='table-header'>
          <th scope="col" class="text-nowrap">{{'system.permissionConfig.table.label.name' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.permissionConfig.table.label.description' | translate}}</th>
          <th scope="col" nzWidth='100px' class="text-nowrap text-center" *ngIf="objFunction.edit || objFunction.delete"></th>
        </tr>
      </thead>
      <tbody>
        <ng-container *ngFor="let data of basicTable.data">
          <ng-container *ngFor="let item of mapOfExpanded[data.key]; trackBy: trackByFn">
            <tr class="row-table" *ngIf="(item.parent && item.parent.expand) || item.parent == null" [class.activeRow]="resourceId == item.id" (click)="selected(item)">
              <td [nzIndentSize]="item.level! * 20" [(nzExpand)]="item.expand"
                (nzExpandChange)="collapses(mapOfExpanded[data.key], item, $event)">
                {{ item.name }}
              </td>
              <td>{{ item.description }}</td>
              <td nzWidth='100px' class="text-nowrap text-center" *ngIf="objFunction.edit || objFunction.delete">
                <div *ngIf="item.parentId">
                  <mb-button-icon *ngIf="objFunction.edit" mbButtonType="EDIT" (click)="edit(item)"> </mb-button-icon>
                  <mb-button-icon *ngIf="objFunction.delete" mbButtonType="DELETE" (click)="delete(item)"> </mb-button-icon>
                </div>
              </td>
            </tr>
          </ng-container>
        </ng-container>
      </tbody>
    </nz-table>
  </div>
</div>
